=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh_strip --dbgsym-migration='libkf5configwidgets5-dbg (<= 5.19.0-1~~)'
 
 override_dh_auto_test:
-	debian/tests/testsuite
+	xvfb-run -a --server-args="-screen 0 1024x768x24" dh_auto_test
