## kconfigwidgets 5.56.0

=== debian/changelog ===
kconfigwidgets (5.56.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Don't run tests at build time.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:47 +0000

kconfigwidgets (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:53 +0000

kconfigwidgets (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:58 +0000

kconfigwidgets (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:46 +0000

kconfigwidgets (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:20 +0000
