=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5auth-dev (>= 5.56.0~),
               libkf5codecs-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5guiaddons-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script, graphics
 and translations.

Package: libkf5configwidgets-dev
Architecture: any
Section: libdevel
Depends: libkf5auth-dev (>= 5.55.0~),
         libkf5codecs-dev (>= 5.55.0~),
         libkf5config-dev (>= 5.55.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.55.0~),
         libkf5i18n-dev (>= 5.55.0~),
         libkf5widgetsaddons-dev (>= 5.55.0~),
         ${misc:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf5configwidgets-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
