=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libkf5auth-dev (>= 5.74.0~),
               libkf5codecs-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5guiaddons-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Rules-Requires-Root: no

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script and graphics.

Package: libkf5configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5auth-dev (>= 5.74.0~),
         libkf5codecs-dev (>= 5.74.0~),
         libkf5config-dev (>= 5.74.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.74.0~),
         libkf5i18n-dev (>= 5.74.0~),
         libkf5widgetsaddons-dev (>= 5.74.0~),
         ${misc:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.
Breaks: libkf5bookmarks-dev (<< 5.54),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54)

Package: libkf5configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
